README file for Commerce Maxipago

CONTENTS OF THIS FILE
---------------------
* Introduction
* Requirements
* Installation
* Configuration
* How it works
* Troubleshooting
* Maintainers

INTRODUCTION
------------
This project integrates Brazilian maxiPago payment services
(https://www.maxipago.com) into the Drupal Commerce payment and checkout systems.

Payment installments are supported.

IMPORTANT: at this moment, only Onsite payments are supported.

  * For a full description of the module, visit the project page:
    https://www.drupal.org/project/commerce_maxipago

  * To submit bug reports and feature suggestions, or to track changes:
    https://drupal.org/project/issues/commerce_maxipago



INSTALLATION
------------
* Install as you would normally install a contributed drupal module.
  See: Installing modules (Drupal 7) documentation page for further information.
  https://drupal.org/documentation/install/modules-themes/modules-7
* Download the maxiPago SDK-PHP Library (https://github.com/maxipago/sdk-php)
  and copy it under the folder /sites/all/libraries/maxipago.
  The file 'maxiPago.php' must be located in /sites/all/libraries/maxipago/lib.


CONFIGURATION
-------------
  1) Enable the module. The payment method called 'Payment via maxiPago' will
     appear in the available payment gateways.

  2) Edit the gateway Actions and configure the payment settings:

    * 'Mode': select 'Test' or 'Live'.
    * 'Merchant ID/Key': enter the pair for the selected mode. Provided by
       maxiPago when a merchant account is opened.
    * 'Payment processor': select 'TEST SIMULATOR' for test mode, or the
      correct processor for live mode (usually 'Rede').
    * 'Credit card verification number (CVV) is required' : if checked, up to
      4-digit security code will be required.
    * 'Maximum number of installments': maxiPago allows to split a payment in
      up to 12 (usually monthly) installments. Set here the maximum number
      of installments that customer can select on payment.
    * 'Currency': usually BRL (Brazilian Real)
    * 'Customer billing profile (reference field)':
      Select a customer profile reference field attached to your order that
      contains the customer's billing address.
    * 'Customer shipping profile (reference field)':
      Select a customer profile reference field attached to your order that
      contains the customer's shipping address.


HOW IT WORKS
------------

  * General considerations:
    - Shop owner must have a maxiPago Merchant account
    - Customer should have valid credit card accepted by maxiPago.

  * Customer/Checkout workflow:
    This is an On-Site payment method.
    - Credit card form available for "Commerce Maxipago" method selected
      in the payment checkout pane.

  * For test mode, test credit cards and test behavior is explained in:
    https://www.maxipago.com/docs/maxiPago_API_Latest.pdf


TROUBLESHOOTING
---------------
* No troubleshooting pending for now.
* Off-site payment development is pending. Patches welcome.


MAINTAINERS
-----------
Current maintainers:
* Interdruper (interdruper) - https://www.drupal.org/interdruper

This project has been sponsored by:
* Grupo SM publishers - https://www.grupo-sm.com/
